A decision proposal's activity feed
import requests
url = "https://platform.ankra.app/api/v1/org/decisions/{decision_id}/activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/decisions/{decision_id}/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/decisions/{decision_id}/activity \
--header 'Authorization: Bearer <token>'{
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"proposal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "<string>",
"actor": "<string>",
"note": "<string>",
"detail": {},
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Decisions
A decision proposal's activity feed
Everything that happened to the proposal, newest first: proposed, reopened, approved, set_aside, superseded, execution_started, dispatched, succeeded, failed, each with its actor, note and detail. Bearer-PAT twin of the browser route of the same name under /org; the console’s session cookie is not accepted here and the browser route answers a token with a login redirect.
GET
/
api
/
v1
/
org
/
decisions
/
{decision_id}
/
activity
A decision proposal's activity feed
import requests
url = "https://platform.ankra.app/api/v1/org/decisions/{decision_id}/activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/decisions/{decision_id}/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/decisions/{decision_id}/activity \
--header 'Authorization: Bearer <token>'{
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"proposal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "<string>",
"actor": "<string>",
"note": "<string>",
"detail": {},
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
PAT organisation override.
Path Parameters
Response
Successful response
Show child attributes
Show child attributes